
Redmine - Defect #9511

hud elements looks crazy sometimes if "Use OpenGL 2.0 shaders (GLSL) is disabled.

2011-11-03 09:50 - Matthias Krüger

Status: Closed Start date: 2011-11-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

When I untick this box in the option menu and play, certain hud elements go crazy. (see screenshot, textures disabled on purpose, it

shows a scene of the overkill mutator).

This bug is sometimes more extreme and sometimes almost unnoticeable.

From what I observed the bug seems to be sometimes triggered by the "player does a capture" sound, at least it appears in this time

it is played quite likely during online matches.

Also, when I (also seems to happen when bot use the rocket sometimes) use the rocket in the campaign (didn't try in multiplayer yet),

all hud elements start to rotate  250° (then they switch back to  in comparison  "normal"  state)

I can stop rotation by exploding the rocket via right click.

I started to have such problems on November 1st.

My last xon update should include

08:43 < CIA-33> xonotic: [master] divverent  * 6af05e0a1e9d darkplaces.git/cl_main.c: fix accuracy issue in

timerefresh [17:00:07]

OGL information:

Linked against SDL version 1.2.14

Using SDL library version 1.2.14

GL_VENDOR: X.Org R300 Project

GL_RENDERER: Gallium 0.4 on ATI RV515

GL_VERSION: 2.1 Mesa 7.11

vid.support.arb_multisample 1

vid.support.gl20shaders 1

NOTE: requested 1x AA, got 0x AA

Video Mode: window 800x600x32x0.00hz

S_Startup: initializing sound output format: 48000Hz, 16 bit, 2 channels...

Regards, Matthias

History

#1 - 2011-11-03 09:55 - Matthias Krüger

- Status changed from New to Resolved

Sorry, I somehow got to the wrong tracker, this was not meant to be a bug against redmine. Sorry!

#2 - 2011-11-05 14:25 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
